TagMangoTagMango Docs
Certificate

Get Certificates For UserDeprecated

GET
/api/v1/external/certificates/{userId}

Get all the certificates received by a user, currently it delivers certificates only created for mangoes.

AuthorizationBearer <token>

In: header

Path Parameters

userId*string

Unique identifier of the user, who is receiving the certificate

Query Parameters

certificate_id?string

Unique identifier of the certificate

mangoes?string

Comma-separated list of mango unique identifiers, if provided, certificates will be filtered based on the mangoes

Header Parameters

x-whitelabel-host*string

Host name of the dashboard, ex: mydomain.tagmango.com

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api-prod-new.tagmango.com/api/v1/external/certificates/646dd0eb159d8b7a7f5a9c29" \  -H "x-whitelabel-host: string"
[
  {
    "_id": "66558085afa45d0583eb71bd",
    "mango": "66558042b487b3571f73305d",
    "certificate": "6658283d53930c22585d9ba1",
    "certificateReceivedOn": "2024-06-03T09:59:34.308Z"
  }
]
{
  "code": 400,
  "type": "Bad Request",
  "statusMessage": "BAD_REQUEST",
  "success": false,
  "message": "Invalid request",
  "result": "Invalid request"
}
{
  "code": 401,
  "type": "Unauthorized",
  "statusMessage": "UNAUTHORIZED",
  "message": "Invalid token",
  "result": "Invalid token",
  "success": false
}
{
  "code": 403,
  "type": "Forbidden",
  "statusMessage": "FORBIDDEN",
  "errorCode": "WORKSHOP_MANGO_FORBIDDEN",
  "message": "You can not access this api with a TagMango account, only available for whitelabel hosts",
  "result": "You can not access this api with a TagMango account, only available for whitelabel hosts",
  "success": false
}
{
  "code": 429,
  "type": "Too Many Requests",
  "statusMessage": "TOO_MANY_REQUESTS",
  "message": "Request limit exceeded. try after 10 seconds",
  "result": "Request limit exceeded. try after 10 seconds",
  "success": false
}